// file: cdm_cstr_2.cc
//

// isip include files
//
#include "cd_model.h"
#include "cd_model_constants.h"

// method: constructor
//
// arguments:
//  int_4 num_states : (input) number of states for this cd_model model
//
// return: none
//
// this is an overloaded constructor
//
Cd_model::Cd_model(int_4 num_states_a) {
  
  // initialize the variables
  //
  num_states_d = num_states_a;
  states_ind_d = new int_4[num_states_d];
  phones_d = new char_1*[CDM_DEFAULT_PH_SIZE];
  yesphy_d = ISIP_FALSE;
  
  // allocate memory for each phn 
  //
  for (int_4 i = 0; i < CDM_DEFAULT_PH_SIZE; i++) {
    phones_d[i] = new char_1[CDM_PH_LENGTH];
  }
  
  // exit gracefully
  //
}
