// file: latn_incr_1.cc
//

// isip include files
//
#include "lattice_node.h"
#include "lattice_node_constants.h"

// method: incr_num_arcs_out_cc
//
// arguments: none
//
// return: a logical_1 indicating status
//
// this method increments the number of outgoing arcs
//
logical_1 Lattice_node::incr_num_arcs_out_cc() {

  // increment the number of outgoing arcs out of the node by one
  //
  num_arcs_out_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
