// file: latn_set_2.cc
//

// isip include files
//
#include "lattice_node.h"
#include "lattice_node_constants.h"

// method: set_pron_var_cc
//
// arguments:
//  int_4 pron_var_a: (input) pronunciation variant of word end 
//
// return: a logical_1 indicating status
//
// this method sets the pronunciation variant of the word end
//
logical_1 Lattice_node::set_pron_var_cc(int_4 pron_var_a) {

  // set the pronunciation of the word represented by the node
  //
  pron_variant_d = pron_var_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
