// file: mm_delete_0.cc
//
 
// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

#include "lex_node.h"

// method: delete_cc
//
// arguments:
//  Lex_node* lxn : (input) the node to be put back in the list
//
// return: a logical_1 indicating success
//
// this method takes the input lex node and puts it in the free
// lex nodes list
//
logical_1 Memory_manager::delete_cc(Lex_node* lxn_a) {

  // get a link node to hold this lex node
  //
  Link_node* node = new_node_cc();
  
  // put the lex node in this
  //
  node->set_item_cc((void_p)lxn_a);
  
  // insert the incoming node in the node list
  //
  node->insert_cc(lex_list_d);
  lex_list_d = node;
  
  // increment free lex node count
  //
  lex_count_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
