// file: mm_grow_2.cc
//
 
// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

#include <lex_node.h>

// method: grow_lex_cc
//
// arguments: none
//
// return: a logical_1 indicating success
//
// this method grows the number of empty lex nodes by the lex node
// grow size
//
logical_1 Memory_manager::grow_lex_cc() {

  // create new empty lex nodes
  //
  Lex_node** lex = new Lex_node*[lex_grow_size_d];
  Link_node* lnd = (Link_node*)NULL;
  
  // insert the lex nodes in a list
  //
  for (int_4 i = 0; i < lex_grow_size_d; i++) {
    lnd = new_node_cc();
    lex[i] = new Lex_node();
    lnd->set_item_cc((void_p)lex[i]);
    if ((i == (int_4)0) && (lex_count_d == (int_4)0)) {
      lex_list_d = lnd;
    }
    else {
      lex_list_d->insert_cc(lnd);
    }
  }
  
  // update the count of free lexs
  //
  lex_count_d += lex_grow_size_d;
  num_lex_d += lex_grow_size_d;

  // free pointer memory since the objects will be deleted seperately
  //
  delete [] lex;  

  // exit gracefully
  //
  return ISIP_TRUE;
}
