// file: ngrl_cstr_2.cc
//

// isip include files
//
#include "ngram_list.h"
#include "ngram_list_constants.h"

// method: constructor
//
// arguments:
//  int_4 num: (input) the number of nodes in the array
//
// return: none
//
// this is an overloaded constructor
//
Ngram_list::Ngram_list(int_4 num_a) {

  // set default values
  //
  num_d = num_a;
  nodes_d = (Ngram_node**)NULL;

  // allocate memory if needed
  //
  if (num_d > (int_4)0) {

    // create array
    //
    nodes_d = new Ngram_node*[num_d];
    
    // initialize
    //
    for (int_4 i = 0; i < num_d; i++) {
      nodes_d[i] = (Ngram_node*)NULL;
    }
  } // end if
    
  // exit gracefully
  //
}
