// file: phn_cstr_0.cc
//

// isip include files
//
#include "phone.h"
#include "phone_constants.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Phone::~Phone() {
  
  // clean up memory and reset
  //
  if (name_d != (char_1*)NULL) {
    delete [] name_d;
  }
  name_d = (char_1*)NULL;

  if (phones_d != (int_4*)NULL) {
    delete [] phones_d;
  }
  phones_d = (int_4*)NULL;
  
  // clean up the model
  //
  model_d = (Model*)NULL;
  active_d = ISIP_FALSE;
  
  // exit gracefully
  //
}


