// file: token_constants.h
//
// this is the header for the path token class
//

// make sure definitions are only made once
//
#ifndef __ISIP_TOKEN_CONSTANTS
#define __ISIP_TOKEN_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// forward declaration of classes
//
#ifndef __ISIP_LINK_LIST_CONSTANTS
#include <link_list_constants.h>
#endif

#ifndef __ISIP_TRACE_CONSTANTS
#include <trace_constants.h>
#endif

// define the class name
//
#define TOKEN_CLASS_NAME (char_1*)"Token"

// define some constants
//
#define TOKEN_DEFAULT_INDEX (int_4)0
#define TOKEN_DEFAULT_SCORE (float_4)0

// end of file
// 
#endif
