// file: tr_hc_clear_0.cc
//

// isip include files
//
#include "train_hash_cell.h"
#include "train_hash_cell_constants.h"
 
// method: clear_cc
//
// arguments: none
//
// return: a logical_1 to indicate success
//
// this method resets the contents of the hash table cell
//
logical_1 Train_Hash_cell::clear_cc() {
  
  // delete key string pointer
  //
  if (key_str_d != (char_1*)NULL) {
    delete [] key_str_d;
    key_str_d = (char_1*)NULL;
  }
  
  // delete the key vector pointer
  //
  if (key_vec_d != (int_4*)NULL) {
    delete [] key_vec_d;
    key_vec_d = (int_4*)NULL;
  }
  key_size_d = 0;

  // set the item to null
  //
  item_d = (void_p)NULL;
  
  // set the link pointer to null
  //
  next_d = (Train_Hash_cell*)NULL;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
