// file: tr_lat_set_1.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: set_num_nodes_cc
//
// arguments:
//  int_4 num_nodes_a: (input) the number of nodes in the Train_Lattice
//
// return: a logical_1 indicating status
//
// this method sets the number of nodes in the Train_Lattice
//
logical_1 Train_Lattice::set_num_nodes_cc(int_4 num_nodes_a) {

  // set the Train_Word index
  //
  num_nodes_d = num_nodes_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
