// file: tr_latn_set_4.cc
//

// isip include files
//
#include "train_lattice_node.h"
#include "train_lattice_node_constants.h"

// method: set_num_arcs_in_cc
//
// arguments:
//  int_4 num_arcs_in_a: (input) number of incoming arcs
//
// return: a logical_1 indicating status
//
// this method sets the number of incoming arcs
//
logical_1 Train_Lattice_node::set_num_arcs_in_cc(int_4 num_arcs_in_a) {

  // set the number of incoming arcs into the node
  //
  num_arcs_in_d = num_arcs_in_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
