// file: tr_ln_debug_0.cc
//
 
// isip include files
//
#include "train_link_node.h"
#include "train_link_node_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) file pointer used for output
//  char_1* message: (input) a message concatenated to each debug message
//
// return: a logical_1 value indicating status
//
// this method displays the values of all internal data
//
logical_1 Train_Link_node::debug_cc(FILE* fp_a, char_1* message_a) {

  // dump the item pointer
  //
  fprintf(fp_a, "%s::%s: item_d = %p\n", TRAIN_LN_CLASS_NAME, message_a, item_d);

  // dump the link pointers
  //
  fprintf(fp_a, "%s::%s: prev_d = %p\n", TRAIN_LN_CLASS_NAME, message_a, prev_d);
  fprintf(fp_a, "%s::%s: next_d = %p\n\n", TRAIN_LN_CLASS_NAME, message_a, next_d);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
