// file: tr_mm_delete_0.cc
//
 
// isip include files
//
#include "train_memory_manager.h"
#include "train_memory_manager_constants.h"
 
// method: delete_cc
//
// arguments:
//  Train_Link_node* node : (input) the node to be put back in the list
//
// return: a logical_1 indicating success
//
// this method takes the input link list node and puts it in the free
// nodes list
//
logical_1 Train_Memory_manager::delete_cc(Train_Link_node* node_a) {

  // clear the node
  //
  node_a->set_item_cc((void_p)NULL);
  
  // insert the incoming node in the node list
  //
  if (node_count_d == (int_4)0) {
    node_list_d = node_a;
  }
  else {
    node_list_d->insert_cc(node_a);
  }
  
  // increment free node count
  //
  node_count_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
