// file: tr_mm_grow_1.cc
//
 
// isip include files
//
#include "train_memory_manager.h"
#include "train_memory_manager_constants.h"

#include <train_trace.h>

// method: grow_trace_cc
//
// arguments: none
//
// return: a logical_1 indicating success
//
// this method grows the number of empty traces by the trace grow size
//
logical_1 Train_Memory_manager::grow_trace_cc() {

  // create new empty traces
  //
  Train_Link_node* lnd = (Train_Link_node*)NULL;

  // insert the traces in a list
  //
  for (int_4 i = 0; i < trace_grow_size_d; i++) {
    Train_Trace* trace = new Train_Trace;
    lnd = new_node_cc();
    lnd->set_item_cc((void_p)trace);
    if ((i == (int_4)0) && (trace_count_d == (int_4)0)) {
      trace_list_d = lnd;
    }
    else {
      trace_list_d->insert_cc(lnd);
    }
    trace++;
  }
  
  // update the count of free traces
  //
  trace_count_d += trace_grow_size_d;

  // exit gracefully
  //
  return ISIP_TRUE;
}
