// file: train_state_constants.h
//
// this is the constants header file for the Train_State class
//

// make sure definitions are made only once
//
#ifndef __ISIP_TRAIN_STATE_CONSTANTS
#define __ISIP_TRAIN_STATE_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// define the class name
//
#define TRAIN_STATE_CLASS_NAME (char_1*)"Train_State"

// define the default number of features
//
#define TRAIN_STATE_NUM_FEATURES (int_4)0

// define the default number of mixtures
//
#define TRAIN_STATE_NUM_MIXTURES (int_4)0

// define the default scale factor
//
#define TRAIN_STATE_SCALE (float_4)0

// define the default minimum score
//
#define TRAIN_STATE_SCORE (float_4)-1.0e10
#define TRAIN_STATE_MIN_SCORE (float_4)-0.5e10
#define TRAIN_STATE_LOG_SCORE (float_4)-23.02585093

// define the default value of state index
//
#define TRAIN_STATE_INDEX (int_4)-1

// end of file
//
#endif
