// file: tr_tr_score_2.cc
//

// isip include files
//
#include "train_trace.h"
#include "train_trace_constants.h"

// method: incr_score_cc
//
// arguments:
//  float_8 incr: (input) the step score value to increment
//
// return: a logical_1 indicating status
//
// this method increments the score of this trace
//
logical_1 Train_Trace::incr_score_cc(float_8 incr_a) {

  // increment the score
  //
  score_d += incr_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
