// file: window/win_cstr_2.cc
//

// isip include files
//
#include "window.h"
#include "window_constants.h"

// method: create window constructor
//
// arguments:
//  int_4 type_d: (input) type of window to create
//  int_4 width_d: (input) length of window to create
//
// return: none
//
Window::Window(int_4 type_a, int_4 width_a) {

  // preset class data
  //
  data_d = (float_8*)NULL;
  debug_level_d = ISIP_DEBUG_NONE;

  // change parameters and create the window
  //
  set_cc(type_a, width_a);
  
  // return
  //
}
