// file: ts_tree_6.cc
//

// isip include files
//
#include "tie_state.h"
#include "tie_state_constants.h"

// method: get_num_trees_cc
//
// arguments:
//     int_4 num_mono       : (input) number of monophones
//     int_4 num_spe_mono   : (input) number of special monophones
//     int_4 num_state      : (input) number of states in common models
// 
// return: an integer of numer of trees
//
// this is the method to get the number of trees according to  number of
// monophones, special monophones and number of states in common models
//
int_4 get_num_trees_cc(int_4 num_mono_a, int_4 num_spe_mono_a,
		       int_4 num_state_a) {

  // local variables
  //
  int_4 num_trees;

  // compute the number of trees
  //      
  num_trees = (num_mono_a - num_spe_mono_a)*num_state_a;

  // exit gracefully
  //
  return num_trees;
  
}

