// file: cd_model_constants.h
//
// this is the header file for the cd_model class constants
//

// make sure definitions are only made once
//
#ifndef __ISIP_CD_MODEL_CONSTANTS
#define __ISIP_CD_MODEL_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// define the class name
//
#define CD_MODEL_CLASS_NAME (char_1*)"cd_model"

// define phone length
//
#define CDM_PH_LENGTH (int_4)64
#define CDM_DEFAULT_PH_SIZE (int_4)3
#define CDM_EMPTY_PHN (char_1*)""

// define default number of states
//
#define CDM_DEFAULT_NUM_STATES (int_4)5

// end of file
// 
#endif
