// file: $PDSP/class/fourier_transform/v3.0/ft_set_4.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: set_cc (overloaded)
//
// arguments:
//  int_4 order_a : (input) order of the transform
//  char_1* alg_name_a : (input) name of the algorithm to be tested
//
// return: a logical_1 value indicating status
//
logical_1 Fourier_transform::set_cc(int_4 order_a,
					     char_1* alg_name_a) {
  
  // exit gracefully 
  //
  return set_cc(order_a, alg_name_a, FT_DEFAULT_DATA_TYPE);
}
