// file: ht_cstr_3.cc
//

// isip include files
//
#include "hash_table.h"
#include "hash_table_constants.h"
 
// method: constructor
//
// arguments:
//  Hash_table& table : (input) the hash table to copy
//
// return: none
//
// this is a copy constructor for the class
//
Hash_table::Hash_table(Hash_table& table_a) {

  // set the hash table elements
  //
  size_d = table_a.size_d;
  mode_d = table_a.mode_d;
  cells_d = new Hash_cell*[size_d];
  for (int_4 i = 0; i < size_d; i++) {
    cells_d[i] = table_a.cells_d[i];
  }
    
  // exit gracefully
  //
}
