// file: latn_get_11.cc
//

// isip include files
//
#include "lattice_node.h"
#include "lattice_node_constants.h"

// method: get_gamma_cc
//
// arguments: none
//  
// return: an float_4* with gamma values
//
// this method gets the gamma value of outgoing  arcs from this node
//
float_4* Lattice_node::get_gamma_cc() {
  
  // exit gracefully
  //
  return gamma_d;
}
