// file: latn_set_7.cc
//

// isip include files
//
#include "lattice_node.h"
#include "lattice_node_constants.h"

// method: set_alpha_cc
//
// arguments:
//  float_4 alpha_a: (input) alpha
//
// return: a logical_1 indicating status
//
// this method sets the node alpha
//
logical_1 Lattice_node::set_alpha_cc(float_4 alpha_a) {
  
  // set the node index of the node
  //
  alpha_d = alpha_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
