// file: latn_set_8.cc
//

// isip include files
//
#include "lattice_node.h"
#include "lattice_node_constants.h"

// method: set_beta_cc
//
// arguments:
//  float_4 beta_a: (input) beta
//
// return: a logical_1 indicating status
//
// this method sets the node beta
//
logical_1 Lattice_node::set_beta_cc(float_4 beta_a) {
  
  // set the node beta
  //
  beta_d = beta_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
