// file: latp_size_0.cc
//

// isip include files
//
#include "lattice_path.h"
#include "lattice_path_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Lattice_path::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(int_4);                         // word_pos_d
  size += sizeof(int_4);                         // path_type_d
  size += sizeof(int_4);                         // score_d
  size += sizeof(Lattice_node*);                 // curr_d
  size += sizeof(Lattice_path*);                 // prev_d
  
  // exit gracefully
  //
  return size;
}
