// file: lex_tree_constants.h
//
// this is the header file for the lexical tree class constants
//

// make sure definitions are only made once
//
#ifndef __ISIP_LEX_TREE_CONSTANTS
#define __ISIP_LEX_TREE_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_LEX_NODE_CONSTANTS
#include <lex_node_constants.h>
#endif

#ifndef __ISIP_LATTICE_NODE_CONSTANTS
#include <lattice_node_constants.h>
#endif

#ifndef __ISIP_WORD_CONSTANTS
#include <word_constants.h>
#endif

#ifndef __ISIP_HASH_TABLE_CONSTANTS
#include <hash_table_constants.h>
#endif

// define the class name
//
#define LXT_CLASS_NAME (char_1*)"Lex_tree"

// define some important words
//
#define LXT_SENT_START_WORD WRD_SENT_START_WORD
#define LXT_SENT_END_WORD WRD_SENT_END_WORD

// end of file
// 
#endif
