// file: mod_cstr_0.cc
//

// isip include files
//
#include "model.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Model::~Model() {
  
  // clean up transition matrix
  //
  trans_prob_d = (float_4*)NULL;
  
  // clean up the states
  //
  if (states_d != (State**)NULL) {
    delete [] states_d;
    states_d = (State**)NULL;
  }

  // reset values
  //
  num_states_d = (int_4)0;
  
  // exit gracefully
  //
}


