// file: ngrm_cstr_3.cc
//

// isip include files
//
#include "ngram.h"
#include "ngram_constants.h"

// method: copy constructor
//
// arguments:
//  Ngram& ngram_a: (input) ngram to copy information from
//
// return: none
//
// this is an overloaded constructor
//
Ngram::Ngram(Ngram& ngram_a) {
  
  // set ngram order
  //
  ngram_order_d = ngram_a.ngram_order_d;
  
  // set ngram lists
  //
  ngram_lists_d = ngram_a.ngram_lists_d;

  // set lm params
  //
  lmscale_d = ngram_a.lmscale_d;
  wdpenalty_d = ngram_a.wdpenalty_d;
  
  // exit gracefully
  //
}
