// file: phn_phone_2.cc
//

// isip include files
//
#include "phone.h"
#include "phone_constants.h"

// method: set_phones_cc
//
// arguments:
//  int_4 nph : (input) number of phones
//  int_4* phones : (input) the phones to set
//
// return: logical_1 indicating status
//
// this method sets the phones pointer
//
logical_1 Phone::set_phones_cc(int_4 nph_a, int_4* phones_a) {

  // set the phone indices
  //
  num_phones_d = nph_a;
  phones_d = new int_4[num_phones_d];
  for (int_4 i = 0; i < num_phones_d; i++) {
    phones_d[i] = phones_a[i];
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
