// file: state_constants.h
//
// this is the constants header file for the State class
//

// make sure definitions are made only once
//
#ifndef __ISIP_STATE_CONSTANTS
#define __ISIP_STATE_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// define the class name
//
#define STATE_CLASS_NAME (char_1*)"State"

// define the default number of features
//
#define STATE_NUM_FEATURES (int_4)0

// define the default number of mixtures
//
#define STATE_NUM_MIXTURES (int_4)0

// define the default scale factor
//
#define STATE_SCALE (float_4)0

// define the default minimum score
//
#define STATE_SCORE (float_4)-1.0e10
#define STATE_LOG_SCORE (float_4)-23.02585093

// end of file
//
#endif
