// file: tr_lat_set_8.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: set_lnodes_cc
//
// arguments:
//  Train_Hash_table* lnodes: (input) all the nodes of the Train_Lattice
//
// return: a logical_1 indicating status
//
// this method sets the nodes table of the Train_Lattice
//
logical_1 Train_Lattice::set_lnodes_cc(Train_Hash_table* lnodes_a) {

  // set the Train_Lattice node table
  //
  lnode_d = lnodes_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
