// file: tr_mm_cstr_1.cc
//

// isip include files
//
#include "train_memory_manager.h"
#include "train_memory_manager_constants.h"

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
Train_Memory_manager::Train_Memory_manager() {

  // set the counts
  //
  node_count_d = (int_4)0;
  trace_count_d = (int_4)0;
  lex_count_d = (int_4)0;
  lat_count_d = (int_4)0;
  hash_count_d = (int_4)0;

  // reset the block sizes
  //
  node_grow_size_d = TRAIN_MM_NODE_GROW_SIZE;
  trace_grow_size_d = TRAIN_MM_TRACE_GROW_SIZE;
  lex_grow_size_d = TRAIN_MM_LEX_GROW_SIZE;
  lat_grow_size_d = TRAIN_MM_LAT_GROW_SIZE;
  hash_grow_size_d = TRAIN_MM_HASH_GROW_SIZE;
  
  // initialize the lists
  //
  node_list_d = (Train_Link_node*)NULL;
  trace_list_d = (Train_Link_node*)NULL;
  lex_list_d = (Train_Link_node*)NULL;
  lat_list_d = (Train_Link_node*)NULL;
  hash_list_d = (Train_Link_node*)NULL;

  // exit gracefully
  //
}
