// file: tr_mod_cstr_0.cc
//

// isip include files
//
#include "train_model.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Train_Model::~Train_Model() {
  
  // clean up transition matrix
  //
  trans_prob_d = (float_4**)NULL;
  
  // clean up the states
  //
  if (states_d != (Train_State**)NULL) {
    delete [] states_d;
  }
  states_d = (Train_State**)NULL;
  
  // exit gracefully
  //
}


