// file: train_token_constants.h
//
// this is the header for the path token class
//

// make sure definitions are only made once
//
#ifndef __ISIP_TRAIN_TOKEN_CONSTANTS
#define __ISIP_TRAIN_TOKEN_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// forward declaration of classes
//
#ifndef __ISIP_TRAIN_LINK_LIST_CONSTANTS
#include <train_link_list_constants.h>
#endif

#ifndef __ISIP_TRAIN_TRACE_CONSTANTS
#include <train_trace_constants.h>
#endif

// define the class name
//
#define TRAIN_TOKEN_CLASS_NAME (char_1*)"Train_Token"

// define some constants
//
#define TRAIN_TOKEN_DEFAULT_INDEX (int_4)0
#define TRAIN_TOKEN_DEFAULT_SCORE (float_8)0

// end of file
// 
#endif
