// file: tr_tr_cstr_3.cc
//

// isip include files
//
#include "train_trace.h"
#include "train_trace_constants.h"

// method: constructor
//
// arguments:
//  Train_Trace& trace : (input) the trace to be copied
//
// return: none
//
// this is a copy constructor
//
Train_Trace::Train_Trace(Train_Trace& trace_a) {

  // copy the parameters
  //
  lat_node_d = trace_a.lat_node_d;
  lex_node_d = trace_a.lex_node_d;

  level_d = trace_a.level_d;
  phone_index_d = trace_a.phone_index_d;
  state_index_d = trace_a.state_index_d;  

  backptr_size_d = trace_a.backptr_size_d;
  back_ptr_d = trace_a.back_ptr_d;

  max_mixture_d = trace_a.max_mixture_d;
  frame_index_d = trace_a.frame_index_d;
  score_d = trace_a.score_d;
  ref_count_d = trace_a.ref_count_d;
  active_d = trace_a.active_d;

  // exit gracefully
  //
}
