// file: tr_tr_ref_2.cc
//

// isip include files
//
#include "train_trace.h"
#include "train_trace_constants.h"

// method: incr_ref_count_cc
//
// arguments:
//  int_4 incr: (input) the step value to increment
//
// return: a logical_1 indicating status
//
// this method increments the reference count
//
logical_1 Train_Trace::incr_ref_count_cc(int_4 incr_a) {

  // increment the reference count
  //
  ref_count_d += incr_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
