// file: create_mixtures_constants.h
//

// make sure definitions are made only once
//
#ifndef __ISIP_CREATE_MIXTURES_CONSTANTS
#define __ISIP_CREATE_MIXTURES_CONSTANTS

// isip include files
//  
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// forward declaration of classes
//
#ifndef __ISIP_TRAIN_STATE_CONSTANTS
#include <train_state_constants.h>
#endif

// define the help file
//
#define CM_HELP_FILE (char_1*)"$ISIP_PROTO/doc/create_mixtures.help"

// commandline identifiers
//
#define CM_INPUT_OPT "-input"
#define CM_OUTPUT_OPT "-output"
#define CM_MIX_OPT "-num_mixtures"
#define CM_HELP_OPT "-help"

// computational constants
//
#define CM_PERTURB_FACTOR (float_4)0.2

// end of file
//
#endif
